Adverti horiz upsell

Variable FK Rigger 1.0.0 for Maya (maya script)

Autorigger for movable FK controls

License
Button download
2,387 Downloads

Compatibility

  • 2019, 2018, 2017, 2016, 2015, 2014, 2013, 2012, 2011

Operating Systems

  • Linux
  • Mac
  • Windows

History

Created:02/15/2014
Last Modified:10/22/2019
File Size: 34.2 KB

Keywords

fk, fleity, autorigger, Rigging

Feature Request

mac version

Status:added
Date:02/18/2014
Submitted by:gX3 gX3
I tried it in Mac OS X and unfortunately does not work.

Comments on this feature request:

  • fleity

    fleity said almost 8 years ago:

    hm okay. The problem is I have not mac to test it on. can you tell me anything about the error message, if you are getting one?
  • fleity

    fleity said almost 8 years ago:

    awesome! actually I don't see a reason why anything should not work. Inside of maya the differences between mac and windows are not as big a problem as outside of it.
  • gX3

    gX3 said almost 8 years ago:

    This is the feedback from the script editor: import jo_varFk # reload(jo_varFk) # jo_varFk.UI() # pymel.internal.factories : MFnDagNode.model is deprecated # # pymel.core : Updating pymel with pre-loaded plugins: DirectConnect, AbcImport, mayaHIK, tiffFloatReader, objExport, feCurvePrimitives2014, xgenToolkit, VectorRender, gpuCache, xgenMR, rotateHelper, Substance, MayaMuscle, fePolyPrimitives2014, AutodeskPacketFile, autoLoader, fbxmaya, matrixNodes, ik2Bsolver, modelingToolkit, OpenEXRLoader, Mayatomr, ikSpringSolver, AbcExport, ArubaTessellator, quatNodes, mayaCharacterization, retargeterNodes, molStructure, sceneAssembly, wobble2014 # # Warning: pymel.internal.factories : could not create a PyNode for manipulator type xgmGuideManip # # Warning: pymel.internal.factories : could not create a PyNode for manipulator type xgmPointsManip # # Warning: pymel.internal.factories : could not create a PyNode for manipulator type igBrushManip # # Warning: pymel.internal.factories : could not create a PyNode for manipulator type nexManip # # Warning: pymel.internal.factories : could not create a PyNode for manipulator type wobbleManip #
  • fleity

    fleity said almost 8 years ago:

    okay thats the pymel import messages, so apperently the script itself is sourced correctly. just to make sure, because you would not be the first person to miss this, there are hashtags (#) in front of "jo_varFk.UI()" and "reload". Those have to be left out. They mark those lines as comments aaand that would mean you do import the script but you just never call the UI. otherwise the import message does not contain any errors, so you might need to copy all the code from the .py file (open with any text editor) and paste into into the maya script editor in a python tab to get the actual error message.
  • gX3

    gX3 said almost 8 years ago:

    Thanks Julian! I removed the hashtags and the UI loaded without errors. I will test it more thoroughly later on, but it seems to e working properly. It is going to be very useful. Thanks so much! Mac OS X 10.9.1 (Mavericks) Maya 2014

Post a comment: